@import '../../styles/--scss-vars.scss';

.popup {
  display: none;
  align-items: center;
  justify-content: center;
  @include position(absolute, 0, 0, 0, 0);
  min-height: $column4;
  overflow-y: auto;
  overflow-x: none;
  &::before {
    content: '';
    background-color: $color-d0-a;
    @include position(absolute, 0, 0, 0, 0);
    margin: auto;
  }
  &.show {
    display: flex;
  }
  .backoverlay {
    background-color: $color-d0-a;
    @include position(absolute, 0, 0, 0, 0);
    margin: auto;
  }
  .popup-dailog {
    z-index: 1;
    max-width: $column4;
    width: calc(100% - $gutter);
    margin: auto;
    background-color: $color-d0;
    border: 1px solid $color-w0;
    padding: calc(var(--subdiv) * 8) calc(var(--subdiv) * 3)
      calc(var(--subdiv) * 12);
    @include border-radius(calc(var(--subdiv) * 4));
    text-align: center;
    position: relative;
    .inner-wrap {
      max-width: $column3 - $spacer2;
      width: 100%;
      margin: auto;
      overflow-y: auto;
      overflow-x: hidden;
      .sec-head {
        margin-bottom: calc(var(--subdiv) * 4);
        .title {
          text-transform: uppercase;
          margin-bottom: 0;
          font-size: calc(var(--subdiv) * 4);
        }
        p {
          font-size: $subdiv * 2 + 2;
          a,
          span {
            color: $color-w0;
            text-decoration: underline;
            cursor: pointer;
          }
        }
      }
      .notification {
        margin-bottom: calc(var(--subdiv) * 3);
        &.success {
          color: $color-x0;
        }
        &.error {
          color: $color-e0;
        }
      }
      .upload-photo {
        position: relative;
        input[type='file'] {
          opacity: 0;
          -webkit-appearance: none;
          width: $spacer4;
          height: $spacer4;
        }
        label {
          @include border-radius(50%);
          background-color: $color-d6;
          @include position(absolute, 0, 0, 0, 0);
          margin: auto;
          max-width: $spacer4;
          width: 100%;
          height: 100%;
          cursor: pointer;
          .outer {
            text-align: center;
            .icon {
              margin-bottom: calc(var(--subdiv));
            }
            .text {
              color: $color-d7;
              font-size: $subdiv * 2;
              line-height: 1.2;
            }
          }
          .preview {
            @include position(absolute, 0, 0, 0, 0);
            margin: auto;
            max-width: $spacer4;
            width: 100%;
            height: 100%;
            @include border-radius(50%);
            overflow: hidden;
            img {
              height: 100%;
              width: 100%;
              object-fit: cover;
            }
          }
        }
      }
      .info {
        font-size: $subdiv * 2 - 1;
        text-align: left;
        line-height: 1.2;
        margin-bottom: 0;
      }
      .btn-wrap {
        margin: calc(var(--subdiv) * 4) 0 calc(var(--subdiv) * 2 + 2px);
        button {
          text-transform: uppercase;
        }
      }
      .forgot {
        max-width: $spacer4 + 10;
        line-height: 1.2;
        margin: auto;
        a,
        .make-link {
          color: $color-w0;
          font-size: $subdiv * 2 + 2;
          font-weight: 700;
          text-decoration: underline;
          cursor: pointer;
        }
      }
    }
  }
  &.stage {
    .popup-dailog {
      padding: calc(var(--subdiv) * 8) calc(var(--subdiv) * 3);
      z-index: 1;
      max-width: $column7 - $spacer2;
      background-color: $color-d0-a;
      height: auto;
      text-align: left;
      .inner-wrap {
        max-width: $column6 - $spacer2;
        margin: auto;
        .image-box {
          width: $spacer2;
          margin-right: $subdiv * 4;
          img {
            height: $spacer2;
            object-fit: contain;
          }
        }
        .content-box {
          width: calc(100% - calc($spacer2 + $subdiv * 4));
          p {
            max-width: $column4;
            font-size: $subdiv * 5 - 1;
          }
          .note {
            margin-top: $subdiv * 5;
            font-size: $subdiv * 5 - 1;
            font-weight: 700;
          }
          .btn-wrap {
            margin-top: $subdiv * 5;
            button {
              &:not(:last-of-type) {
                margin-right: $subdiv * 3;
              }
            }
          }
        }
      }
      .close {
        @include position(absolute, $subdiv * 3, $subdiv * 3, auto, auto);
      }
    }
    &::before {
      display: none;
    }
  }
  &.stage-invite {
    .popup-dailog {
      padding: calc(var(--subdiv) * 8) calc(var(--subdiv) * 3);
      z-index: 1;
      max-width: $column8 - $spacer2;
      background-color: transparent;
      height: auto;
      border: 0;
      text-align: left;
      h3 {
        font-size: $subdiv * 6;
        font-weight: 900;
        text-transform: uppercase;
        text-align: center;
      }
      .inner-wrap {
        max-width: $column7 - $spacer4;
        margin: auto;
        .image-box {
          width: $spacer2;
          margin-right: $subdiv * 4;
          img {
            height: $spacer2;
            object-fit: contain;
          }
        }
        .content-box {
          width: calc(100% - calc($spacer2 + $subdiv * 4));
          h3 {
            font-size: $subdiv * 6;
            font-weight: 900;
            text-transform: uppercase;
            text-align: left;
          }
          p.desc {
            font-size: $subdiv * 3;
          }
          .btn-wrap {
            margin-top: $subdiv * 5;
            button {
              &:not(:last-of-type) {
                margin-right: $subdiv * 3;
              }
            }
          }
        }
      }
    }
    &::before {
      display: none;
    }
  }
  .close {
    @include border-radius(50%);
    width: $subdiv * 5 + 1;
    height: $subdiv * 5 + 1;
    background-color: $color-d0;
    border: 1px solid $color-w0;
    position: relative;
    cursor: pointer;
    &::before {
      content: '';
      @include position(absolute, 0, 0, 0, 0);
      margin: auto;
      width: $subdiv - 3;
      height: $subdiv * 2 + 2;
      background-color: $color-w0;
      transform: rotate(45deg);
    }
    &::after {
      content: '';
      @include position(absolute, 0, 0, 0, 0);
      margin: auto;
      width: $subdiv - 3;
      height: $subdiv * 2 + 2;
      background-color: $color-w0;
      transform: rotate(-45deg);
    }
  }
}
